Click or drag to resize

CurveCreateTweenCurves Method (Curve, Curve, Int32)

Creates curves between two open or closed input curves. Uses the control points of the curves for finding tween curves. That means the first control point of first curve is matched to first control point of the second curve and so on. There is no matching of curves direction. Caller must match input curves direction before calling the function.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Curve[] CreateTweenCurves(
	Curve curve0,
	Curve curve1,
	int numCurves
)

Parameters

curve0
Type: Rhino.GeometryCurve
The first, or starting, curve.
curve1
Type: Rhino.GeometryCurve
The second, or ending, curve.
numCurves
Type: SystemInt32
Number of tween curves to create.

Return Value

Type: Curve
An array of joint curves. This array can be empty.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Obsolete (compiler warning) in 6.2
See Also